### Method

# GLib IOChannel get_flags

#### Declaration [src]

    GIOFlags
    g_io_channel_get_flags (
      GIOChannel* channel
    )

#### Description [src]

Gets the current flags for a `GIOChannel`, including read-only flags such as `G_IO_FLAG_IS_READABLE`.

The values of the flags `G_IO_FLAG_IS_READABLE` and `G_IO_FLAG_IS_WRITABLE` are cached for internal use by the channel when it is created. If they should change at some later point (e.g. partial shutdown of a socket with the UNIX `shutdown()` function), the user should immediately call `g_io_channel_get_flags()` to update the internal values of these flags.

#### Return value

Type: `GIOFlags`

The flags which are set on the channel.